/*   sAmt   Ver 0.00   */
/*                           */
/*                           */
/*   by Atsushi  2000/12/4   */


import com.nttdocomo.io.ConnectionException;
import com.nttdocomo.ui.*;


public class PianoCanvas extends Canvas
{
	/*   ---   Field   ---   */

	private IApplication application;

	private Image piano;
	private AudioPresenter[] audio;

	/*   ---   Constructor   ---   */

	public PianoCanvas(IApplication application)
	{
		this.application=application;
		
		setSoftLabel(SOFT_KEY_1,"Quit");
		
		loadImage();
	}

	/*   ---      ---   */

	private void loadImage()
	{
		MediaImage image;
		MediaSound sound;
	
		try {
			image=MediaManager.getImage("resource:///piano.gif");
			image.use();
			piano=image.getImage();
			
			audio=new AudioPresenter[8];
			for (int i=0;i<=audio.length-1;i++)
			{
				sound=MediaManager.getSound(
				    "resource:///"+"cdefgab".charAt(i%7)+(4-i/7)+".mid");
				sound.use();
				audio[i]=AudioPresenter.getAudioPresenter();
				audio[i].setSound(sound);
			}
		}
		catch (ConnectionException e)
		{
		}
	}

	/*   ---   `揈   ---   */

	public void paint(Graphics g)
	{
		g.clearRect(0,0,getWidth(),getHeight());
		g.drawImage(piano,
		    getWidth ()/2-piano.getWidth ()/2,
		    getHeight()/2-piano.getHeight()/2);
	}

	/*   ---   Cxg   ---   */

	public void processEvent(int type,int param)
	{
		if (type==Display.KEY_PRESSED_EVENT)
		{
			if (param==Display.KEY_1)
			{
				audio[0].play();
			}
			else if (param==Display.KEY_2)
			{
				audio[1].play();
			}
			else if (param==Display.KEY_3)
			{
				audio[2].play();
			}
			else if (param==Display.KEY_4)
			{
				audio[3].play();
			}
			else if (param==Display.KEY_5)
			{
				audio[4].play();
			}
			else if (param==Display.KEY_6)
			{
				audio[5].play();
			}
			else if (param==Display.KEY_7)
			{
				audio[6].play();
			}
			else if (param==Display.KEY_8)
			{
				audio[7].play();
			}
		}
		
		if ((type==Display.KEY_PRESSED_EVENT) && (param==Display.KEY_SOFT1))
		{
			application.terminate();
		}
	}
}
